curl --request PUT \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"call_config": {
"max_call_duration_ms": 3600000,
"ring_duration_ms": 30000
},
"knowledge_base_config": {
"chunks_to_retrieve": 5,
"similarity_threshold": 0.75
},
"llm_config": {
"provider": "internal",
"model": "gpt-4o-mini",
"temperature": 1,
"deployment": "01h8xyz123abc456def789ghi",
"endpoint": "https://my-resource-name.openai.azure.com/",
"api_version": "2024-02-15-preview",
"base_url": "http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html",
"api_key": "example",
"region": "us-east-1",
"max_tokens": 16,
"knowledge_base_ids": [
"architecto"
],
"tools": []
},
"prompt_config": {
"prompt": "example",
"first_speaker": "ai",
"ai_speak_after_silence": true,
"ai_speak_wait_time": 2,
"welcome_message_type": "static",
"welcome_message": "example"
},
"stt_config": {
"provider": "deepgram",
"model": "nova-3"
},
"tts_config": {
"provider": "elevenlabs",
"model": "01h8xyz123abc456def789ghi",
"voice_id": "01h8xyz123abc456def789ghi",
"speaker": "01h8xyz123abc456def789ghi",
"streaming_latency": 4,
"speed": "normal",
"emotion": "positivity",
"speed_alpha": 1,
"ambient_sound": "office_ambience",
"ambient_sound_volume": 4326.41688,
"responsiveness": 1,
"interruption_sensitivity": 1,
"enable_backchannel": true,
"backchannel_frequency": 0.8,
"backchannel_words": [
"m"
],
"reminder_trigger_ms": 10000
}
}
'{
"data": {
"version": null,
"numbers": [],
"id": "01kqh44edawd69v816zeehgd7t",
"name": "My Agent",
"status": "draft",
"workspace_id": "01kqh44ecxh8w4eesaz6xxmf98",
"created_at": "2026-05-01T06:38:04+00:00",
"updated_at": "2026-05-01T06:38:04+00:00",
"published_at": null
}
}Update an existing agent. Only provided fields will be updated.
curl --request PUT \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"call_config": {
"max_call_duration_ms": 3600000,
"ring_duration_ms": 30000
},
"knowledge_base_config": {
"chunks_to_retrieve": 5,
"similarity_threshold": 0.75
},
"llm_config": {
"provider": "internal",
"model": "gpt-4o-mini",
"temperature": 1,
"deployment": "01h8xyz123abc456def789ghi",
"endpoint": "https://my-resource-name.openai.azure.com/",
"api_version": "2024-02-15-preview",
"base_url": "http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html",
"api_key": "example",
"region": "us-east-1",
"max_tokens": 16,
"knowledge_base_ids": [
"architecto"
],
"tools": []
},
"prompt_config": {
"prompt": "example",
"first_speaker": "ai",
"ai_speak_after_silence": true,
"ai_speak_wait_time": 2,
"welcome_message_type": "static",
"welcome_message": "example"
},
"stt_config": {
"provider": "deepgram",
"model": "nova-3"
},
"tts_config": {
"provider": "elevenlabs",
"model": "01h8xyz123abc456def789ghi",
"voice_id": "01h8xyz123abc456def789ghi",
"speaker": "01h8xyz123abc456def789ghi",
"streaming_latency": 4,
"speed": "normal",
"emotion": "positivity",
"speed_alpha": 1,
"ambient_sound": "office_ambience",
"ambient_sound_volume": 4326.41688,
"responsiveness": 1,
"interruption_sensitivity": 1,
"enable_backchannel": true,
"backchannel_frequency": 0.8,
"backchannel_words": [
"m"
],
"reminder_trigger_ms": 10000
}
}
'{
"data": {
"version": null,
"numbers": [],
"id": "01kqh44edawd69v816zeehgd7t",
"name": "My Agent",
"status": "draft",
"workspace_id": "01kqh44ecxh8w4eesaz6xxmf98",
"created_at": "2026-05-01T06:38:04+00:00",
"updated_at": "2026-05-01T06:38:04+00:00",
"published_at": null
}
}Documentation Index
Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication
The ID of the agent.
Must not be greater than 255 characters.
"b"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes